# Diagnostics library test faults
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'DIM'
source_enum: kEmuDIM
namespace: zoox::dim
can_messages:
  - status_msg: DIM1_alertStatus
  - status_msg: DIM2_alertStatus
can_import: firmware/common/can/generated/vh6/dim.h
can_namespace: vh6
faults:
  - id: 0
    name: IrLedFault
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 1
    name: ProxFault
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 2
    name: RgbLedFault
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 3
    name: NfcControllerFault
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 4
    name: BatteryFault
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 5
    name: OverTemperature
    severity: WARNING
    description: Not used, unknown.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
